clc;
format long

%Zone S1
RS11=0.008771;RS12=RS11;
Cconcrete=1000;Rhoconcrete=2400;Vs1=4.872;
cs1=1/(Cconcrete*Rhoconcrete*Vs1);

%Zone S2
RS21=0.009347;RS22=0.009351;
Cgypsum=1090;Rhogypsum=800;Vs2=5.73;
cs2=1/(Cgypsum*Rhogypsum*Vs2);

%Zone S2 Other side
RS21i=0.0181;RS22i=0.0181;
Cgypsum=1090;Rhogypsum=660;Vs2i=2.772;
cs2i=1/(Cgypsum*Rhogypsum*Vs2i);

%Zone S3
RS31=0.0336;RS32=RS31;
Cpoly=1300;Rhopoly=22;Vs3=5.468;
cs3=1/(Cpoly*Rhopoly*Vs3);

%%%%continue from here

%Zone S4
RS41=0.0497;RS42=RS41;
Vs4=5.468;%same materials as S3
cs4=1/(Cpoly*Rhopoly*Vs4);

%Zone S5i
RS51i=0.019;RS52i=RS51i;
Vs5i=2.638;%Materials similar to S2
cs5i=1/(Cgypsum*Rhogypsum*Vs5i);

%Zone S5j
RS51j=0.021;RS52j=RS51j;
Vs5j=2.334;%Materials similar to S2
cs5j=1/(Cgypsum*Rhogypsum*Vs5j);


%Zone S5k
RS51k=0.021;RS52k=RS51k;
Vs5k=2.334;%Materials similar to S2
cs5k=1/(Cgypsum*Rhogypsum*Vs5k);

%To states start here
% To resistances without area
%case1:
%conv,steel,4inch air,4 inch air,1 inch fiberglass,1inch fiberglass,
%steel, convection
dum=1
ho=20;hi=5;ls=0.01;ks=50.2;kfg=0.037;lfg=1/(12*3.281);
r2=(1/hi+ls/ks+1/ho)*dum;
r1=(1/ho+ls/ks+lfg/kfg)*dum;
ra=(1/ho+lfg/kfg)*dum;

%case2:
%conv1 inch fiberglass,1inch fiberglass,
%steel, convection
r3=(1/ho+lfg/kfg+ls/ks)*dum;
r4=(1/hi+lfg/kfg)*dum;


%Zone S6(2states)
As6=29.729;
Rhoair=1.225; Rhofiberglass=25;Cair=1005;Cfiberglass=700;
Vs6a=6.04;Vs6fg=1.51;
RS62=r2/As6;RS6a=ra/As6;RS61=r1/As6;
cs6a=1/(Cair*Rhoair*Vs6a);cs6fg=1/(Cfiberglass*Rhofiberglass*Vs6fg);

%Zone S6 Upper 1
As6u1=29.729;
Vs6u1=1.507;
RS62U1=r4/As6u1;RS61U1=r3/As6u1;
cs6u1=1/(Cfiberglass*Rhofiberglass*Vs6u1);



%South

%To(lower)%2 states
%Rhoair=1.225; Rhofiberglass=2550;Cair=1005;Cfiberglass=700;
Asl=149.015;
RS2=r2/Asl;RSa=ra/Asl;RS1=r1/Asl;
Vsla=30.278;Vslfg=7.569;
csla=1/(Cair*Rhoair*Vsla);cslfg=1/(Cfiberglass*Rhofiberglass*Vslfg);

%To(upper)
Asu=298.03;
RS3=r3/Asu;RS4=r4/Asu;
Vsu=15.139;
csu=1/(Cfiberglass*Rhofiberglass*Vsu);

%S1(upper)
As1u=17.477;
RS11U=r3/As1u;RS12U=r4/As1u;
Vs1u=0.886;
cs1u=1/(Cfiberglass*Rhofiberglass*Vs1u);

%West
%S6 upper 2
As6u2=31.586;
RS62U2=r4/As6u2;RS61U2=r3/As6u2;
Vs6u2=1.601;
cs6u2=1/(Cfiberglass*Rhofiberglass*Vs6u2);

%To lower west%2 states
Awl=89;
RW1=r1/Awl;RWa=ra/Awl;RW2=r2/Awl;
Vwla=18.084;Vwlfg=4.521;
cwla=1/(Cair*Rhoair*Vwla);cwlfg=1/(Cfiberglass*Rhofiberglass*Vwlfg);

%To upper west
Awu=200.668;
RW3=r3/Awu;RW4=r4/Awu;
Vwu=10.234;
cwu=1/(Cfiberglass*Rhofiberglass*Vwu);

%North
%North To(upper)right
Anur=183.146;
RN1=r3/Anur;RN2=r4/Anur;
Vnur=9.326;
cnur=1/(Cfiberglass*Rhofiberglass*Vnur);

%North To(lower)right %2 states
Anlr=73.57;
RN3=r1/Anlr;RNa=ra/Anlr;RN4=ra/Anlr;
Vnlra=14.94;Vnlrfg=3.73;
cnlra=1/(Cair*Rhoair*Vnlra);cnlrfg=1/(Cfiberglass*Rhofiberglass*Vnlrfg);

%S5(upper)
As5u=41.67;
RS5U1=r3/As5u;RS5U2=r4/As5u;
Vs5u=2.112;
cs5u=1/(Cfiberglass*Rhofiberglass*Vs5u);

%North To(upper) left
Anul=232.25;
RN6=r4/Anul;RN5=r3/Anul;
Vnul=11.775;
cnul=1/(Cfiberglass*Rhofiberglass*Vnul);

%North To(lower)left %2 states
Anll=92.902;
RN7=r1/Anll;RNb=ra/Anll;RN8=r2/Anll;
Vnlla=18.876;Vnllfg=4.719;
cnlla=1/(Cair*Rhoair*Vnlla);cnllfg=1/(Cfiberglass*Rhofiberglass*Vnllfg);

%East
%S2 upper
As2u=55.912;
RS2U1=r3/As2u;RS2U2=r4/As2u;
Vs2u=2.834;
cs2u=1/(Cfiberglass*Rhofiberglass*Vs2u);

%To East upper
Aeu=45.874;
RE2=r4/Aeu;RE1=r3/Aeu;
Veu=2.326;
ceu=1/(Cfiberglass*Rhofiberglass*Veu);

%To East lower 2 states
Ael=20.81;
RE3=r1/Ael;REa=ra/Ael;RE4=r2/Ael;
Vela=4.23;Velfg=1.057;
cela=1/(Cair*Rhoair*Vela);celfg=1/(Cfiberglass*Rhofiberglass*Velfg);

%S3 upper
As3u=54.735;
RS3U1=r3/As3u;RS3U2=r4/As3u;
Vs3u=2.78;
cs3u=1/(Cfiberglass*Rhofiberglass*Vs3u);

%S4 upper
As4u=39.567;
RS4U1=r3/As4u;RS4U2=r4/As4u;
Vs4u=2.006;
cs4u=1/(Cfiberglass*Rhofiberglass*Vs4u);

Vol=29449.52046
Cr=1/(Cair*Rhoair*Vol);

%Roof
RR2=0.000238;RR1=0.00019;
Vro=188.405;
Cro=1/(Cfiberglass*Rhofiberglass*Vro);

%Hot Tanks
Aht=40*0.866;
ht=30;
RHT=1/(ht*Aht);








% % R1r=0.0705;R2r=R1r;R3r=R1r;
% % R4r=0.0214;
% % R0=0.0274;
% R11=0.0768;R12=0.0768;R21=0.064;R22=0.064;R31=0.0768;R32=0.0768;R41=0.0269;R42=0.0344;
% rhowi=240;rhowo=2000;rhoa=1.205;Cw=800;Ca=1005;V=70.23;mdot=0.52;Vwi1=3.443;Vwi2=4.31;Vwo=13.965;
% %states x1=Tw1,x2=Tw2,x3=Tw3,x4=Tw4,x5=Tz1
% %input Q=mcp(Tsi-Tz1)
% %disturbances Td1,Td2,Td3,Td4(outdoors)
% crva=1/(Ca*rhoa*V);%row 1
% crvwi1=1/(Cw*rhowi*Vwi1);%rows 2 to 4
% crvwi2=1/(Cw*rhowi*Vwi2);%row 3
% crvwo=1/(Cw*rhowo*Vwo);%row 5
% 
% A=[-crva*(1/R12+1/R22+1/R32+1/R42+mdot*Ca) crva*(1/R12) crva*(1/R22) crva*(1/R32) crva*(1/R42); crvwi1*(1/R12) -crvwi1*(1/R12+1/R11) 0 0 0; crvwi2*(1/R22) 0 -crvwi2*(1/R21+1/R22) 0 0; crvwi1*(1/R32) 0 0 -crvwi1*(1/R32+1/R31) 0; crvwo*(1/R42) 0 0 0 -crvwo*(1/R42+1/R41)];
% %B=[mdot*Ca*crva;0;0;0;0];
% C=[1 0 0 0 0];
% B=[mdot*Ca*crva 0 0 0 0;0 crvwi1*(1/R11) 0 0 0;0 0 crvwi2*(1/R21) 0 0;0 0 0 crvwi1*(1/R31) 0;0 0 0 0 crvwo*(1/R41)];
% D=0;
% %D=[0 0 0 0;0 0 0 0;0 0 0 0;0 0 0 0;0 0 0 0]
% %D=[0 0 0 0;1/(R1*Cw) 0 0 0;0 1/(R3*Cw) 0 0;0 0 1/(R4*Cw) 0;0 0 0 1/(R0*Cw)];
% %case 1: with no disturbances and solar radiation heat transfer from
% %windows or walls
% B1=[mdot*Ca*crva;0;0;0;0];
% E=[0 0 0 0;crvwi1*(1/R11) 0 0 0;0 crvwi2*(1/R21) 0 0;0 0 crvwi1*(1/R31) 0;0 0 0 crvwo*(1/R41)];
% 
% 



